import apiRequest from '../request'
import { albums as albumsPath } from '../apiPaths'

export const create = async (data) => {
  const result = await apiRequest.postAsForm(albumsPath.create(), data)
  return result
}

export const getList = async (query) => {
  const result = await apiRequest.get(albumsPath.getList(), {params: query})
  return result
}

export const getOne = async (id) => {
  const result = await apiRequest.get(albumsPath.getDetails({id}))
  return result
}

export const edit = async (id, data) => {
  const result = await apiRequest.putAsForm(albumsPath.edit({ id }), data)
  return result
}

export const editStatus = async (id, status) => {
  const result = await apiRequest.put(albumsPath.editStatus({ id }), { status })
  return result
}

export const editChannels = async (id, availableChannels) => {
  const result = await apiRequest.put(albumsPath.editChannels({ id }), { availableChannels })
  return result
}
