export const apiDomain = "http://localhost:8800/api";
export const auth = {
  login: () => "/auth/login",
  register: () => "/auth/register",
  self: () => "/users/self",
  refreshToken: () => "/auth/refresh-token",
  logout: () => "/auth/logout"
}
export const providers = {
  getList: () => "/providers",
  getListForSelect: () => "/providers-for-select",
  getDetails: (params) => `/providers/${params.id}`,
  create: () => "/providers",
  edit: (params) => `/providers/${params.id}`,
  editStatus: (params) => `/providers/${params.id}/status`,
  disable: (params) => `/providers/${params.id}`
}
export const contracts = {
  getList: () => "/contracts",
  getListForSelect: () => "/contracts-for-select",
  getDetails: (params) => `/contracts/${params.id}`,
  create: () => "/contracts",
  edit: (params) => `/contracts/${params.id}`,
  editStatus: (params) => `/contracts/${params.id}/status`,
  disable: (params) => `/contracts/${params.id}`
}
export const media = {
  getList: () => "/media",
  getListForSelect: () => "/media-for-select",
  getDetails: (params) => `/media/${params.id}`,
  create: () => "/media",
  edit: (params) => `/media/${params.id}`,
  editStatus: (params) => `/media/${params.id}/status`,
  editChannels: (params) => `/media/${params.id}/channels`,
  disable: (params) => `/media/${params.id}`
}
export const artists = {
  getList: () => "/artists",
  getListForSelect: () => "/artists-for-select",
  getDetails: (params) => `/artists/${params.id}`,
  create: () => "/artists",
  edit: (params) => `/artists/${params.id}`,
  editStatus: (params) => `/artists/${params.id}/status`,
  disable: (params) => `/artists/${params.id}`
}
export const albums = {
  getList: () => "/albums",
  getDetails: (params) => `/albums/${params.id}`,
  create: () => "/albums",
  edit: (params) => `/albums/${params.id}`,
  editStatus: (params) => `/albums/${params.id}/status`,
  editChannels: (params) => `/albums/${params.id}/channels`,
  disable: (params) => `/albums/${params.id}`
}
export const users = {
  getList: () => "/users",
  getDetails: (params) => `/users/${params.id}`,
  create: () => "/auth/register",
  edit: (params) => `/users/${params.id}`,
}
export const genres = {
  getList: () => "/genres",
  getListForSelect: () => "/genres-for-select",
  getSons: (params) => `/genres/${params.id}/sons`,
  getDetails: (params) => `/genres/${params.id}`,
  create: () => "/genres",
  edit: (params) => `/genres/${params.id}`,
}
export const permissions = {
  getList: () => "/permissions",
  create: () => "/permissions",
  edit: (params) => `/permissions/${params.id}`,
  editAllPermissions: () => `/permissions`,
}
export const dashboard = {
  getTopContents: () => "/statistics/top/contents",
  getTotalResources: () => "/statistics/total_resources",
  getTopProviders: () => `/statistics/top/providers`,
  getExpireContents: () => `/statistics/contents/expired`,
  getViewCharts: () => `/statistics/views/charts`,
}
export const configs = {
  getConfigs: () => "/user_configs",
  getList: () => "/configs",
  updateConfigs: () => "/configs"
}