import apiRequest from '../request'
import { artists as artistPaths } from '../apiPaths'

export const create = async (data) => {
  const result = await apiRequest.postAsForm(artistPaths.create(), data)
  return result
}

export const getList = async (query) => {
  const result = await apiRequest.get(artistPaths.getList(), {params: query})
  return result
}

export const getOne = async (id) => {
  const result = await apiRequest.get(artistPaths.getDetails({id}))
  return result
}

export const edit = async (id, data) => {
  const result = await apiRequest.putAsForm(artistPaths.edit({ id }), data)
  return result
}

export const fetchArtistsAndGroup = async () => {
  let res = await await apiRequest.get(artistPaths.getListForSelect())
  let result = {}
  if (!res.isError) {
    // result.artists = res.data.artists.filter(a => a.professions.includes('Artist'))
    result.artists = res.data.artists
    // result.authors = res.data.artists.filter(a => a.professions.includes('Author'))
    // result.composers = res.data.artists.filter(a => a.professions.includes('Composer'))
  }

  res.data = result
  return res
}

export const editStatus = async (id, status) => {
  const result = await apiRequest.put(artistPaths.editStatus({ id }), { status })
  return result
}

export const fetchArtistsForSuggesstions = async () => {
  let res = await await apiRequest.get(artistPaths.getListForSelect())

  return (res.data?.artists || []).map(a => a.name)
}