import apiRequest from '../request'
import { contracts as contractsPath } from '../apiPaths'

export const create = async (data) => {
  const result = await apiRequest.postAsForm(contractsPath.create(), data)
  return result
}

export const getList = async (query) => {
  const result = await apiRequest.get(contractsPath.getList(), {params: query})
  return result
}

export const getListForSelect = async () => {
  const result = await apiRequest.get(contractsPath.getListForSelect())
  return result
}

export const getOne = async (id) => {
  const result = await apiRequest.get(contractsPath.getDetails({id}))
  return result
}

export const edit = async (id, data) => {
  const result = await apiRequest.putAsForm(contractsPath.edit({ id }), data)
  return result
}

export const editStatus = async (id, status) => {
  const result = await apiRequest.put(contractsPath.editStatus({ id }), { status })
  return result
}
