import apiRequest from '../request'
import { genres as genresPath } from '../apiPaths'

export const create = async (data) => {
  const result = await apiRequest.post(genresPath.create(), data)
  return result
}

export const getList = async (query) => {
  const result = await apiRequest.get(genresPath.getList(), query)
  return result
}

export const getListForSelect = async () => {
  const result = await apiRequest.get(genresPath.getListForSelect())
  return result
}

export const getOne = async (id) => {
  const result = await apiRequest.get(genresPath.getDetails({id}))
  return result
}

export const edit = async (id, data) => {
  const result = await apiRequest.put(genresPath.edit({ id }), data)
  return result
}