import apiRequest from '../request'
import { permissions as permissionsPath } from '../apiPaths'

export const create = async (data) => {
  const result = await apiRequest.post(permissionsPath.create(), data)
  return result
}

export const getList = async (query) => {
  const result = await apiRequest.get(permissionsPath.getList(), {params: query})
  return result
}

export const edit = async (id, data) => {
  const result = await apiRequest.put(permissionsPath.edit({ id }), data)
  return result
}

export const editAllPermissions = async (data) => {
  const result = await apiRequest.put(permissionsPath.editAllPermissions(), data)
  return result
}
