import apiRequest from '../request'
import { providers as providersPath } from '../apiPaths'

export const create = async (data) => {
  const result = await apiRequest.postAsForm(providersPath.create(), data)
  return result
}

export const getList = async (query) => {
  const result = await apiRequest.get(providersPath.getList(), {params: query})
  return result
}

export const getListForSelect = async () => {
  const result = await apiRequest.get(providersPath.getListForSelect())
  return result
}

export const getOne = async (id) => {
  const result = await apiRequest.get(providersPath.getDetails({id}))
  return result
}

export const edit = async (id, data) => {
  const result = await apiRequest.putAsForm(providersPath.edit({ id }), data)
  return result
}

export const editStatus = async (id, status) => {
  const result = await apiRequest.put(providersPath.editStatus({ id }), { status })
  return result
}
