import apiRequest from '../request'
import { users as usersPath } from '../apiPaths'

export const create = async (data) => {
  const result = await apiRequest.post(usersPath.create(), data)
  return result
}

export const getList = async (query) => {
  const result = await apiRequest.get(usersPath.getList(), {params: query})
  return result
}

export const getOne = async (id) => {
  const result = await apiRequest.get(usersPath.getDetails({id}))
  return result
}

export const edit = async (id, data) => {
  const result = await apiRequest.put(usersPath.edit({ id }), data)
  return result
}