import React, { useState } from 'react'
import {
  CButton,
} from '@coreui/react'

const Tabs = (props) => {
  const [activeTab, setActiveTab] = useState(0)

  const chooseTab = (tabIndex) => {
    if (tabIndex === activeTab) return

    setActiveTab(tabIndex)
    if (typeof props.chooseTab === 'function') {
      props.chooseTab(props.tabs[tabIndex]?.name)
    }
  }

  const getColWidth = () => {
    const len = props.tabs.length
    const width = Math.floor(12 / len)

    return Math.min(Math.max(width, 1), 3)
  }

  return (
    <div className={"row mb-4 justify-content-center " + (props.className || '')}>
      {props.tabs.map(({text}, idx) => (
        <CButton
          color={activeTab === idx ? "secondary btn-press" : "info"}
          className={"mr-2 col-" + getColWidth()}
          onClick={() => chooseTab(idx)}
        >
          {text}
        </CButton>
      ))}
    </div>
  )
}

export default Tabs