import React, { useEffect, useState } from 'react'
import {
  TheContent,
  TheSidebar,
  TheFooter,
  TheHeader
} from './index'
import { authApi } from '../api'

const TheLayout = (props) => {
  const [user, setUser] = useState(null)
  useEffect(() => {
    async function fetchUser() {
      let response = await authApi.checkAuth()
      if (response.isError) {
        return props.history.push('/login')
      }
      setUser(response.data)
    }
    fetchUser()
  }, [props.history])

  return (
    <div className="c-app c-default-layout">
      <TheSidebar panels={user?.panels || []} />
      <div className="c-wrapper">
        <TheHeader user={user} />
        <div className="c-body">
          <TheContent/>
        </div>
        <TheFooter/>
      </div>
    </div>
  )
}

export default TheLayout
