import react from 'react'
import {
  CCardHeader,
  CButton
} from '@coreui/react'

const Header = (props) => {
  return (
    <CCardHeader className="row justify-content-between mx-0 align-items-center">
      <div className="rol-4 text-left pl-0">
        <CButton
          color="secondary"
          type="button"
        >
          <a href="/files/Bulk-Media-Upload-Example.xlsx" download="example-bulk-media-upload.xlsx">Download File Example</a>
        </CButton>
        <CButton
          onClick={() => props.showChoosingFileModal()}
          color="primary"
          type="button"
          className="ml-3"
        >
          Choose File
        </CButton>
      </div>
      <h1 className="col-4 text-center">Bulk Upload Media</h1>
      <div className="col-4 text-right pr-0">
        <CButton
          onClick={props.upload}
          color="success"
          type="button"
        >
          Upload All
        </CButton>
      </div>
      <input onChange={props.chooseFile} type="file" id="fileInput" hidden accept=".xlsx"/>
    </CCardHeader>
  )
}

export default Header