import react, { useState, useEffect } from 'react'
import {
  CModal,
  CModalHeader,
  CModalBody,
  CModalFooter,
  CButton,
} from '@coreui/react'

export default ({ isShow, cancel, message, className }) => {
  return (
    <CModal
      show={isShow}
      onClose={cancel}
      size="lg"
    >
      <CModalHeader>
        <h3>Notification</h3>
      </CModalHeader>
      <CModalBody>
        <div className={`text-${className}`}>{message}</div>
      </CModalBody>
      <CModalFooter>
        <CButton type="button" color="secondary" onClick={cancel}>Ok</CButton>
      </CModalFooter>
    </CModal>
  )
}