import React, { useState, useEffect } from 'react'
import {
  CTooltip
} from '@coreui/react'
import UploadImages from '../../../containers/ImageUpload'

const UploadMediaImages = (props) => {
  return (
    <div className="row justify-content align-items-center">
      <div className="col-12 row align-items-center justify-content-start">
        <div className="col-6">
          <CTooltip content={`Image's resolution max ${props.configs.bannerMaxWidth}:${props.configs.bannerMaxHeight} pixel`} placement="right-start">
            <h4>Choose Banner: <i className="far fa-question-circle"/></h4>
          </CTooltip>
        </div>
        <div className="col-12">
          <UploadImages
            chooseText="Choose Banner"
            disabled={props.disabled}
            name="banner"
            images={props.banners}
            onUploadImages={props.onUploadBanners}
            onRemoveImage={props.onRemoveBanner}
            MaxHeight={props.configs.bannerMaxHeight}
            MaxWidth={props.configs.bannerMaxWidth}
            height={180}
            width={686}
            numberOfImages={1}
          />
        </div>
      </div>
      <div className="col-12 row align-items-center justify-content-start">
        <div className="col-6">
          <CTooltip content={`Image's resolution max ${props.configs.coverMaxHeight}:${props.configs.coverMaxWidth} pixel`} placement="right-start">
            <h4>Choose Cover: <i className="far fa-question-circle"/></h4>
          </CTooltip>
        </div>
        <div className="col-12">
          <UploadImages
            chooseText="Choose Cover"
            disabled={props.disabled}
            name="cover"
            images={props.covers}
            onUploadImages={props.onUploadCovers}
            onRemoveImage={props.onRemoveCover}
            maxHeight={props.configs.coverMaxHeight}
            maxWidth={props.configs.coverMaxWidth}
            height={200}
            width={200}
            numberOfImages={2}
          />
        </div>
      </div>
      {/* <div className="col-8">
        <UploadImages
          width="150px"
          disabled={props.disabled}
          images={props.banner}
          onUploadImages={props.onUploadImages}
          onRemoveImage={props.onRemoveImage}
          maxHeight={props.configs.imageMaxHeight}
          maxWidth={props.configs.imageMaxWidth}
        />
      </div> */}
    </div>
  )
}

export default UploadMediaImages