import react, { useState, useEffect } from 'react'
import {
  CModal,
  CModalHeader,
  CModalBody,
  CModalFooter,
  CButton,
} from '@coreui/react'

export default ({ isShow, cancel, save, medium, channels }) => {
  const [availableChannels, setAvailableChannels] = useState({})
  useEffect(() => {
    let available = medium.availableChannels
    let mediumChannels = {}
    Object.keys(channels).forEach((c) => {
      mediumChannels[c] = (available & channels[c]) > 0
    })

    setAvailableChannels(mediumChannels)
  }, [medium])

  const toggleChannel = (channel) => {
    setAvailableChannels({
      ...availableChannels,
      [channel]: !availableChannels[channel]
    })
  }
  const edit = async () => {
    const enabled = Object.keys(channels).reduce((r, c) => r | (availableChannels[c] ? channels[c] : 0), 0)
    return save(medium.id, enabled)
  }
  return (
    <CModal
      show={isShow}
      onClose={cancel}
      size="lg"
    >
      <CModalHeader>
        <h3>Edit Medium Channels</h3>
      </CModalHeader>
      <CModalBody className="row justify-content-center">
        {Object.keys(channels).map((c, k) => (
          <CButton className="col-2 mx-2" color={availableChannels[c] ? 'success' : 'danger'} key={k} onClick={() => toggleChannel(c)}>
          <i className={"mr-2 fas fa-" + (availableChannels[c] ? 'check-square' : 'window-close')}/>{c}
          </CButton>
        ))}
      </CModalBody>
      <CModalFooter>
        <CButton type="button" color="primary" onClick={edit}>Save</CButton>{' '}
        <CButton
          type="button"
          color="secondary"
          onClick={cancel}
        >Cancel</CButton>
      </CModalFooter>
    </CModal>
  )
}